/*
 * 文 件 名:  SlcDeviceLamp
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/9/15
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.slightctl;

import lombok.Data;

/**
 * 设备灯组
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/9/15]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class SlcDeviceLamp {
    // 灯具编号
    private String lampNo;

    // 灯开关状态 0关1开2关灯中3开灯中
    private Integer lampOnOff;

    // 功率w
    private String power;

    // 色温
    private Integer cct;

    // 亮度百分比
    private Integer lampBright;

    // 亮度值

    private String brightness;

    public SlcDeviceLamp() {
    }

    // 私有构造方法，只能通过Builder创建
    private SlcDeviceLamp(Builder builder) {
        this.lampNo = builder.lampNo;
        this.lampOnOff = builder.lampOnOff;
        this.brightness = builder.brightness;
    }

    // Builder静态内部类
    public static class Builder {
        private String lampNo;

        private Integer lampOnOff;

        private String brightness;

        // 私有构造方法
        private Builder() {
        }

        // 链式设值方法
        public Builder lampNo(String lampNo) {
            this.lampNo = lampNo;
            return this;
        }

        public Builder lampOnOff(Integer lampOnOff) {
            this.lampOnOff = lampOnOff;
            return this;
        }

        public Builder brightness(String brightness) {
            this.brightness = brightness;
            return this;
        }

        // 构建实体对象
        public SlcDeviceLamp build() {
            return new SlcDeviceLamp(this);
        }
    }
}